Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1950398 (CVE-2021-31162) - CVE-2021-31162 rust: double free in Vec::from_iter function if freeing the element panics
Summary: CVE-2021-31162 rust: double free in Vec::from_iter function if freeing the el...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2021-31162
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1950400 1950401 1952984 1952985 1959106 1969556
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-04-16 14:18 UTC by Guilherme de Almeida Suckevicz
Modified: 2022-04-17 21:18 UTC (History)
11 users (show)

Fixed In Version: rust 1.52.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-08-10 13:28:43 UTC
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2021:3042 0 None None None 2021-08-10 07:26:19 UTC
Red Hat Product Errata RHSA-2021:3063 0 None None None 2021-08-10 13:51:20 UTC

Description Guilherme de Almeida Suckevicz 2021-04-16 14:18:20 UTC
In the standard library in Rust before 1.53.0, a double free can occur in the Vec::from_iter function if freeing the element panics.

Reference:
https://github.com/rust-lang/rust/issues/83618

Upstream patch:
https://github.com/rust-lang/rust/pull/83629

Comment 1 Guilherme de Almeida Suckevicz 2021-04-16 14:18:47 UTC
Created rust tracking bugs for this issue:

Affects: epel-7 [bug 1950401]
Affects: fedora-all [bug 1950400]

Comment 5 Josh Stone 2021-04-29 16:18:51 UTC
This was backported to the upstream beta branch, so it will now be fixed in 1.52.0.
https://github.com/rust-lang/rust/pull/84603

Comment 7 errata-xmlrpc 2021-08-10 07:26:17 UTC
This issue has been addressed in the following products:

  Red Hat Developer Tools

Via RHSA-2021:3042 https://access.redhat.com/errata/RHSA-2021:3042

Comment 8 Product Security DevOps Team 2021-08-10 13:28:43 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2021-31162

Comment 9 errata-xmlrpc 2021-08-10 13:51:18 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2021:3063 https://access.redhat.com/errata/RHSA-2021:3063


Note You need to log in before you can comment on or make changes to this bug.